QGIS Application - Feature request #8809
WMS/WMTS with dimension parameters should be handled
2013-10-09 05:58 AM - Nicolas Boisteault

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17507
Description

WMS/WMTS with 'dimension’ parameters as described here in Annex C : http://portal.opengeospatial.org/files/?artifact_id=14416 should
be handled by QGIS.

The GUI would display the different legal values exposed by the GetCapabilities request in different controls following the dimension type
(i.e. a combobox for a list of string values, a slider for a range of numeric values...)

Related issues:
Related to QGIS Application - Feature request # 13085: Add WMS-T (time) support Open 2015-07-06

History

#1 - 2013-10-09 08:05 AM - Jiirgen Fischer

WMTS dimensions are already supported.

#2 - 2013-10-09 08:37 AM - Nicolas Boisteault

Any reasons why WMTS is supported and not WMS? Thx

#3 - 2013-10-09 01:46 PM - Juirgen Fischer

Nicolas Boisteault wrote:

Any reasons why WMTS is supported and not WMS? Thx

Just because | implemented WMTS and wasn't aware that WMS also supports dimensions (and AFAIK there was no feature request for dimensions with
WMS until now).

#4 - 2015-10-16 04:32 AM - Nicolas Boisteault

Would it be possible to have this feature in 2.14? Thanks.

#5 - 2016-01-28 03:10 AM - Benjamin Schepers

How about combining the efforts and integrate TimeManager/-functions in QGIS-core?
WMS-Time is partially solved there (besides lot of other functions), parsing the dimension-capabilities is still to be done...

http://planet.qgis.org/planet/tag/time%20manager/
https://github.com/anitagraser/TimeManager/issues/132

#6 - 2016-02-02 05:45 AM - Nicolas Boisteault

WMTS dimensions has already be implemented so | guess parsing the dimension-capabilities is done in QGIS.

@Jirgen Fischer : can you confirm?

#7 - 2016-02-02 11:28 AM - Jiirgen Fischer

Nicolas Boisteault wrote:

WMTS dimensions has already be implemented so | guess parsing the dimension-capabilities is done in QGIS.

@Jiirgen Fischer : can you confirm?

See first comment above.

#8 - 2016-03-02 05:41 AM - Gavin Fleming

| think Jurgen is perhaps confused between WMTS (tiling) and WMST (time).

QGIS WMS client needs to handle time as per WMS-T spec.

QGIS server also needs to support WMS-T (and be configurable in Project OWS properties).

#9 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2018-02-28 11:57 AM - Nicolas Boisteault

Issue still exists in QGIS 3.0.

Tests can be made with this

http://sampleserver6.arcgisonline.com/arcgis/services/MultiDimensional _Sample/MapServer/WMSServer?request=GetCapabilities&#38;service=WMS

#11 - 2018-09-26 04:43 PM - Nicolas Boisteault

Issue still exists in QGIS 3.3.

#12 - 2018-09-27 09:26 AM - Giovanni Manghi
- Description updated

Nicolas Boisteault wrote:

Issue still exists in QGIS 3.3.
not an "issue", but a feature request. This is one of those cases where there is clearly a need by (a part of the) users, but no one has yet stepped in order to

make it happen.
